FreeMat

- Main Page
- Related Pages

vtkCollapseVerticesByArray

Section: Visualization Toolkit Infovis Classes

# Usage

vtkCollapseVerticesByArray is a class which collapses the graph using a vertex array as the key. So if the graph has vertices sharing common traits then this class combines all these vertices into one. This class does not perform aggregation on vertex data but allow to do so for edge data. Users can choose one or more edge data arrays for aggregation using AddAggregateEdgeArray function.

.SECTION Thanks

To create an instance of class vtkCollapseVerticesByArray, simply invoke its constructor as follows

      obj = vtkCollapseVerticesByArray

# Methods

The class vtkCollapseVerticesByArray has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkCollapseVerticesByArray class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkCollapseVerticesByArray = obj.NewInstance ()`
- `vtkCollapseVerticesByArray = obj.SafeDownCast (vtkObject o)`
- `bool = obj.GetAllowSelfLoops ()` - Boolean to allow self loops during collapse.
- `obj.SetAllowSelfLoops (bool )` - Boolean to allow self loops during collapse.
- `obj.AllowSelfLoopsOn ()` - Boolean to allow self loops during collapse.
- `obj.AllowSelfLoopsOff ()` - Boolean to allow self loops during collapse.
- `obj.AddAggregateEdgeArray (string arrName)` - Add arrays on which aggregation of data is allowed. Default if replaced by the last value.
- `obj.ClearAggregateEdgeArray ()` - Clear the list of arrays on which aggregation was set to allow.
- `string = obj.GetVertexArray ()` - Set the array using which perform the collapse.
- `obj.SetVertexArray (string )` - Set the array using which perform the collapse.